Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module eras :: Class Eras |
[frames] | no frames]

# Class Eras

source code

    object --+
             |
            Eras

The list of all eras defined for a timeline.

Contains function for cloning of the whole list which is a necessary operation for undo/redo operations.

Instance Methods
__init__(self, now_func, eras=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code
get_all(self) | source code
get_all_periods(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, now_func, eras=None) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)